For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a workflow session

URL

GET https://api.complycube.com/v1/workflowSessions/:id

Retrieves an existing workflow session.

If you want to download the PDF report, generate a workflow session report.

Headers

Name
Type
Description

Authorization*

string

The API live or test key.

Path parameters

Name
Type
Description

id*

string

The ID of the workflow session.

Example request

curl -X GET https://api.complycube.com/v1/workflowSessions/{:workflowSessionId} \
     -H 'Authorization: <YOUR_API_KEY>' 
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const wfSession = await complycube.workflowSession.get("WORKFLOW_SESSION_ID");
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

workflow_session = cc_api.workflowsessions.get('WORKFLOW_SESSION_ID')
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$workflowSession = $ccapi->workflowSessions()->get('WORKFLOW_SESSION_ID');
using ComplyCube.Net;
using ComplyCube.Net.Resources.WorkflowSessions;

var wfSessionApi = new WorkflowSessionApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var workflowSession = await wfSessionApi.GetAsync("WORKFLOW_SESSION_ID");

Example response

{
    "id": "5eb2b61e02df0a0008f1cf2a",
    "clientId": "5eb1276d96be4a0008713af5",
    "entityName": "John Doe",
    "status": "complete",
    "workflowTemplateId": "68566be2a37a78622f4f7be3",
    "workflowId": "68566be3a37a78622f4f7be7",
    "workflowTemplateName": "AML + Liveness + Document Verification flow",
    "workflowVersion": 1,
    "workflowDescription": "Initial version",
    "compliancePolicies": [],
    "tasks": [],
    "lastCompletedTaskId": "task_id_123",
    "allRelatedChecks": [
        {
            "checkId": "689c78f619987c0002774921",
            "type": "document_check",
            "taskId": "..."
        },
        {
            "checkId": "689c78f619987c0002774922",
            "type": "identity_check",
            "taskId": "..."
        },
        {
            "checkId": "689c78f619987c0002774923",
            "type": "extensive_screening_check",
            "taskId": "..."
        }
    ],
    "outcome": "clear",
    "createdAt": "2025-01-13T11:35:20.592Z",
    "completedAt": "2025-01-13T11:37:30.124Z",
    "updatedAt": "2025-01-13T11:39:30.124Z",
    "policyAssurance": []
}